summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 20:01:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:06 +0200
commit51105e36713c2b412755e58265ce7c9704e96128 (patch)
treecc92e9e65d831c9fe20ffdefd418c638ad0b0bd5 /misc
parent614336995cda8a585d6f828e2c0ce47048847459 (diff)
downloadslackbuilds-51105e36713c2b412755e58265ce7c9704e96128.tar.gz
slackbuilds-51105e36713c2b412755e58265ce7c9704e96128.tar.xz
misc/clawsker: Added to 12.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/clawsker/README8
-rw-r--r--misc/clawsker/clawsker.SlackBuild40
-rw-r--r--misc/clawsker/clawsker.info8
-rw-r--r--misc/clawsker/slack-desc19
4 files changed, 75 insertions, 0 deletions
diff --git a/misc/clawsker/README b/misc/clawsker/README
new file mode 100644
index 0000000000..98cf9f9717
--- /dev/null
+++ b/misc/clawsker/README
@@ -0,0 +1,8 @@
+Claws Mail has a high number of configurable options and, in order to keep
+the binary small and fast, some of these preferences which are not widely
+used are not provided with a graphical interface for inspection and/or
+modification. Users wanting to edit such preferences had to face editing
+the configuration text files directly; now it is possible to do so with a
+convenient GTK2 interface using Clawsker.
+
+Requires GTK+2 bindings for Perl (perl-gtk2) available from SlackBuilds.org.
diff --git a/misc/clawsker/clawsker.SlackBuild b/misc/clawsker/clawsker.SlackBuild
new file mode 100644
index 0000000000..7b08f9f71a
--- /dev/null
+++ b/misc/clawsker/clawsker.SlackBuild
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# Slackware build script for Clawsker
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=clawsker
+VERSION=0.4.0
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make || exit 1
+make install DESTDIR=$PKG PREFIX=/usr || exit 1
+
+( cd $PKG
+ mv usr/share/man/ usr/man/
+ gzip -9 usr/man/man1/*
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog NEWS README VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/clawsker/clawsker.info b/misc/clawsker/clawsker.info
new file mode 100644
index 0000000000..837841a309
--- /dev/null
+++ b/misc/clawsker/clawsker.info
@@ -0,0 +1,8 @@
+PRGNAM="clawsker"
+VERSION="0.4.0"
+HOMEPAGE="http://www.claws-mail.org/clawsker"
+DOWNLOAD="http://www.claws-mail.org/tools/clawsker-0.4.0.tar.gz"
+MD5SUM="033c0f6b5663cba7b3ee4813dc5cb220"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/misc/clawsker/slack-desc b/misc/clawsker/slack-desc
new file mode 100644
index 0000000000..0bf126d225
--- /dev/null
+++ b/misc/clawsker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clawsker: Clawsker (applet to edit Claws Mail's hidden preferences)
+clawsker:
+clawsker: Claws Mail has a high number of configurable options and, in order
+clawsker: to keep the binary small and fast, some of these preferences which
+clawsker: are not widely used are not provided with a graphical interface for
+clawsker: inspection and/or modification. Users wanting to edit such
+clawsker: preferences had to face editing the configuration text files
+clawsker: directly; now it is possible to do so with a convenient GTK2
+clawsker: interface using Clawsker.
+clawsker:
+clawsker: